/* Pedra - Papel - Tesoura */
/* Fbio H. Kochhann */
/* Compilado em Dev-C++ 4.9.9.2 */
/* 26/03/06 */

#include <conio.h>
#include <stdio.h>
#include <time.h>
#include <stdlib.h>

/* Prottipos e Variveis */
int PcRealizaJogada();
int UsuarioRealizaJogada();
int opcao, vitorias, derrotas, empates;

int main()
{
      
      srand(time(NULL)); // inicia o gerador de nmeros aleatrios
      
      // no inicio voce nao tem vitorias, derrotas nem empates...
      vitorias =0;
      derrotas = 0;
      empates = 0;
      
      while (1) // repete sempre o menu
         {
      system("cls"); //limpa tela
      printf("********************************************************************************");
      printf("***************************PEDRA - PAPEL - TESOURA******************************");
      printf("********************************************************************************");
      
      printf("\nMenu de Opcoes:\n\n");
      printf("1. Jogar\n2. Sair\n3. Sobre");
      printf("\n\nVitorias: %i || Derrotas: %i || Empates: %i", vitorias, derrotas, empates);
      printf("\n\nOpcao: ");
         
      scanf("%i", &opcao); // pega opcao do jogador
      switch (opcao)
      {
             case 1: UsuarioRealizaJogada(); // usurio faz sua jogada
             break;
             
             case 2: exit(0); // fecha jogo
             
             case 3: printf("Autor: Fabio Haertel Kochhann\n26 de Marco de 2006.");
             break;
             
             default: printf("Escolha 1,2 ou 3 seu anta!");
             break;
                     
      } // Fim Switch
      
      getch();
         } // Fim While
}

/* Computador realiza jogada (pedra, papel ou tesoura) */
int PcRealizaJogada()
{
      int jogada;
      jogada = (rand() % 3); // retorna 0, 1 ou 2
      return jogada; // 0 = pedra, 1 = papel, 2 = tesoura
}

/* Usurio realiza sua jogada */
int UsuarioRealizaJogada()
{
      int jogada, opcao;
      
      printf("\n1. Pedra\n2. Papel\n3. Tesoura\n\nSua Jogada: ");
      scanf("%i", &jogada); // pega jogada (1,2 ou 3)
      
      switch(jogada) // verifica jogada
      {
        
        case 1: // voce escolhe pedra
        switch(PcRealizaJogada()) // verifica jogada do pc
         {
           case 0: 
                printf("Voce Jogou: Pedra.\nPc Jogou: Pedra.\nEmpatou!\n");
                empates++;
                break;
           case 1:
                printf("Voce Jogou: Pedra.\nPc Jogou: Papel.\nVoce perdeu!\n");
                derrotas++;
                break;
           case 2:
                printf("Voce Jogou: Pedra.\nPc Jogou: Tesoura.\nVoce ganhou!\n");
                vitorias++;
                break;
         } // Fim Switch PcRealizaJogada
        break;
        
        case 2: // voce escolhe papel
        switch(PcRealizaJogada()) // verifica jogada do pc
         {
           case 0:
                printf("Voce Jogou: Papel.\nPc Jogou: Pedra.\nVoce ganhou!\n");
                vitorias++;
                break;
           case 1:
                printf("Voce Jogou: Papel.\nPc Jogou: Papel.\nEmpatou!\n");
                empates++;
                break;
           case 2:
                printf("Voce Jogou: Papel.\nPc Jogou: Tesoura.\nVoce perdeu!\n");
                derrotas++;
                break;
         } // Fim Switch PcRealizaJogada 2
         break;
         
        case 3: // voce escolhe tesoura
        switch(PcRealizaJogada()) // verifica jogada do pc
         {
           case 0:
                printf("Voce Jogou: Tesoura.\nPc Jogou: Pedra.\nVoce perdeu!\n");
                derrotas++;
                break;
           case 1:
                printf("Voce Jogou: Tesoura.\nPc Jogou: Papel.\nVoce ganhou!\n");
                vitorias++;
                break;
           case 2:
                printf("Voce Jogou: Tesoura.\nPc Jogou: Tesoura.\nEmpatou!\n");
                empates++;
                break;
         } // Fim Switch PcRealizaJogada 3
         break;
         
         default: printf("Escolha 1,2 ou 3 seu anta!");
         break;
         
      } // Fim Switch jogada
}
